Skip to main content
GET
/
argocdApp
/
{argocdAppId}
/
manifest
Get ArgoCD app manifest enrichment
curl --request GET \
  --url https://api.qovery.com/argocdApp/{argocdAppId}/manifest \
  --header 'Authorization: Bearer <token>'
{
  "manifest_metadata": {
    "managed_resources": [
      {
        "kind": "<string>",
        "name": "<string>",
        "namespace": "<string>",
        "targetState": "<string>",
        "liveState": "<string>"
      }
    ]
  },
  "manifest_revision": "<string>"
}

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

argocdAppId
string<uuid>
required

ArgoCD App ID

Response

Manifest enrichment for the ArgoCD app, including managed Kubernetes resources

manifest_metadata
object
required

Raw enrichment data fetched from the ArgoCD managed-resources API

manifest_revision
string | null

Git revision the app is currently synced to